OrbitSenderDocs
ReferenceIntegrações

Listar integrações

GET
/api/external/list-integrations

Lista as integrações de marketplace. Os valores das credenciais não são expostos — apenas se cada campo está preenchido.

Authorization

ApiKeyAuth
api-key<token>

Chave de API no formato sk_live_....

In: header

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/external/list-integrations"
{  "success": true,  "integrations": [    {      "id_integration": "amazon",      "label": "string",      "configured": true,      "fields": {        "property1": true,        "property2": true      },      "updated_at": "2019-08-24T14:15:22Z",      "created_at": "2019-08-24T14:15:22Z"    }  ]}
{  "success": false,  "error": "Unauthorized",  "message": "Chave de API inválida ou ausente."}
{  "success": false,  "error": "Internal Server Error",  "message": "Erro interno ao processar a requisição."}